# Cisco WLC

Monitors status of Cisco WLC connected APs. It checks for:
*  missing APs
*  ssh/telnet enabled APS
*  CPAWAP encryption disabled APS
*  APs not on full PoE
*  admin/operational state of APS

Check Info:

* *service*: this check will create on service for each AP
* *state*:\
    **critical**
    *  if AP is not operational
    *  if AP has telnet/ssh enabled
    *  if CPAWAP tunnel encryption is not enabled or enabled but not active
    *  if AP is not on full power
    *  if APs CDP state is half duplex
    *  if AP is missing

    **warning**
    *  if AP admin status disabled
    *  if APs CDP info is changed
    *  if APs serial number has changed
    *  if Wireless IPS not enabled

* *wato*: you can configure the check to ignore the following states: admin, Telent, SSH, encryption enabled/active, power, IPS, duplex, CDP, missing APs
* *perfdata*:
    * AP uptime (s)
    * Active clients (count)
    * Reassoiation success (count)
    * Reassoiation failure (count)
    * Reassoiation failure rate (count)
    * Echo request (count)
    * Echo response loss (count)
    * Associations (count)
    * Associated clients (count)
    * Association fail rssi low (count)
    * Association fail times (count)

**Testetd with**: Cisco 2500, 5508, 5520 Series Wireless LAN Controller

Sample output

![sample output](/doc/sample.png?raw=true "sample [SHORT TITLE]")
