#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-


register_check_parameters(
    subgroup_networking,
    'cisco_wlc',
    _('Cisco WLAN AP'),
    Dictionary(
        help=_('Here you can set which alert type is set when the given '
               'access point is missing (might be powered off). The access point '
               'can be specified by the AP name'),
        elements=[
            ('ignore_ap_name',
             ListOf(
                 Tuple(
                     elements=[
                         TextAscii(title=_('AP name')),
                         MonitoringState(title=_('State when missing'), default_value=2)
                     ]
                 ),
                 title=_('Access point name'),
                 add_label=_('Add name'))
             ),
            # ('ignore_ap_location',
            #  ListOf(
            #      Tuple(
            #          elements=[
            #              TextAscii(title=_('AP location')),
            #              MonitoringState(title=_('State when missing'), default_value=2)
            #          ]
            #      ),
            #      title=_('Access point location'),
            #      add_label=_('Add location'))
            #  ),
            # ('ignore_ap_ipaddress',
            #  ListOf(
            #      Tuple(
            #          elements=[
            #              TextAscii(title=_('AP ip address')),
            #              MonitoringState(title=_('State when missing'), default_value=2)
            #          ]
            #      ),
            #      title=_('Access point ip address'),
            #      add_label=_('Add ip address'))
            #  ),
            # ('ignore_ap_model',
            #  ListOf(
            #      Tuple(
            #          elements=[
            #              TextAscii(title=_('AP model')),
            #              MonitoringState(title=_('State when missing'), default_value=2)
            #          ]
            #      ),
            #      title=_('Access point model'),
            #      add_label=_('Add model'))
            #  ),
            # ('ignore_ap_ethernetmacaddress',
            #  ListOf(
            #      Tuple(
            #          elements=[
            #              TextAscii(title=_('AP mac address')),
            #              MonitoringState(title=_('State when missing'), default_value=2)
            #          ]
            #      ),
            #      title=_('Access point mac address'),
            #      add_label=_('Add mac address'))
            #  ),
            # ('ignore_ap_serialnumber',
            #  ListOf(
            #      Tuple(
            #          elements=[
            #              TextAscii(title=_('AP serialnumber')),
            #              MonitoringState(title=_('State when missing'), default_value=2)
            #          ]
            #      ),
            #      title=_('Access point serialnumber'),
            #      add_label=_('Add serialnumber'))
            #  ),
            ('ignore_ap_adminstatus',
             FixedValue(
                 True,
                 title=_('ignore admin status'),
                 help=_('If enabled the check will ignore the admin status of the ap'),
             ),
             ),
            ('ignore_ap_operationstatus',
             FixedValue(
                 True,
                 title=_('ignore operational status'),
                 help=_('If enabled the check will ignore the operational status of the ap'),
             ),
             ),
            ('ignore_ap_telnetenable',
             FixedValue(
                 True,
                 title=_('ignore Telnet status'),
                 help=_('If enabled the check will ignore the telnet status of the ap'),
             ),
             ),
            ('ignore_ap_sshenable',
             FixedValue(
                 True,
                 title=_('ignore SSH status'),
                 help=_('If enabled the check will ignore the ssh status of the ap'),
             ),
             ),
            ('ignore_ap_encryptionenable',
             FixedValue(
                 True,
                 title=_('ignore encryption enable status'),
                 help=_('If enabled the check will ignore the encryption enable status of the ap'),
             ),
             ),
            ('ignore_ap_dataencryptionstatus',
             FixedValue(
                 True,
                 title=_('ignore data encryption status'),
                 help=_('If enabled the check will ignore the data encryption status of the ap'),
             ),
             ),
            ('ignore_ap_powerstatus',
             FixedValue(
                 True,
                 title=_('ignore power status'),
                 help=_('If enabled the check will ignore the power status of the ap'),
             ),
             ),
            ('ignore_ap_wipsenable',
             FixedValue(
                 True,
                 title=_('ignore wireless IPS status'),
                 help=_('If enabled the check will ignore the IPS status of the ap'),
             ),
             ),
            ('ignore_cdp_duplex',
             FixedValue(
                 True,
                 title=_('ignore duplex/halfduplex info'),
                 help=_('If enabled the check will ignore the CDP duplex info of the ap'),
             ),
             ),
            ('ignore_cdp_change',
             FixedValue(
                 True,
                 title=_('ignore change in CDP info'),
                 help=_('If enabled the check will ignore the changes in CDP info of the ap'),
             ),
             ),
        ],
    ),
    TextAscii(title=_('Access Point')),
    match_type='dict',
)
